# Generated from frecon-1.5.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name frecon

Name: rubygem-%{gem_name}
Version: 1.5.0
Release: 1%{?dist}
Summary: A JSON API for scouting FRC competitions
License: MIT
URL: https://github.com/frc-frecon/frecon
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(yard) >= 0.9
# BuildRequires: rubygem(yard) < 1
# BuildRequires: rubygem(yard-tomdoc) >= 0.7
# BuildRequires: rubygem(yard-tomdoc) < 1
# BuildRequires: rubygem(yard-mongoid)
# BuildRequires: rubygem(yard-mongoid) < 1
# BuildRequires: rubygem(rspec) >= 3.5
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(guard) >= 2.14
# BuildRequires: rubygem(guard) < 3
# BuildRequires: rubygem(guard-rspec) >= 4.7
# BuildRequires: rubygem(guard-rspec) < 5
# BuildRequires: rubygem(codeclimate) >= 0.35
# BuildRequires: rubygem(codeclimate) < 1
# BuildRequires: rubygem(codeclimate-test-reporter) >= 0.6
# BuildRequires: rubygem(codeclimate-test-reporter) < 1
# BuildRequires: rubygem(pry-doc)
# BuildRequires: rubygem(pry-doc) < 1
BuildArch: noarch

%description
A JSON API in Sinatra for scouting FRC competitions, and that manages the
database using Mongoid.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/frecon
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile

%changelog
* Mon Sep 13 2021 mockbuilder - 1.5.0-1
- Initial package
